##### windows::basic_stream_handle::basic_stream_handle (3 of 5 overloads)

Construct a stream handle on an existing native handle.

    basic_stream_handle(
        const executor_type & ex,
        const native_handle_type & handle);

This constructor creates a stream handle object to hold an existing native handle.

###### Parameters

ex

  The I/O executor that the stream handle will use, by default, to dispatch handlers for any asynchronous operations performed on the stream handle.

handle

  The new underlying handle implementation.

###### Exceptions

asio::system_error

  Thrown on failure.